Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.initialization.dsl
Interface ScriptHandler

    interface ScriptHandler

A `ScriptHandler` allows you to manage the compilation and execution of a build script. You can declare the classpath used to compile and execute a build script. This classpath is also used to load the plugins which the build script uses. You can obtain a `ScriptHandler` instance using org.gradle.api.Project#getBuildscript().

To declare the script classpath, you use the org.gradle.api.artifacts.dsl.DependencyHandler provided by #getDependencies() to attach dependencies to the {

value:
  #CLASSPATH_CONFIGURATION} configuration. These dependencies are resolved just prior to script compilation, and assembled into the classpath for the script.

  For most external dependencies you will also need to declare one or more repositories where the dependencies can be found, using the org.gradle.api.artifacts.dsl.RepositoryHandler provided by #getRepositories().

Field Summary
`java.lang.String` | `CLASSPATH_CONFIGURATION` The name of the configuration used to assemble the script classpath.

Method Summary
`void` | `dependencies(Closure configureClosure)` Configures the dependencies for the script.
`java.lang.ClassLoader` | `getClassLoader()` Returns the {
`ConfigurationContainer` | `getConfigurations()` Returns the configurations of this handler.
`DependencyHandler` | `getDependencies()` Returns the dependencies of the script.
`RepositoryHandler` | `getRepositories()` Returns a handler to create repositories which are used for retrieving dependencies for the script classpath.
`void` | `repositories(Closure configureClosure)` Configures the repositories for the script dependencies.

Field Detail

### CLASSPATH_CONFIGURATION

    java.lang.String CLASSPATH_CONFIGURATION

  The name of the configuration used to assemble the script classpath.

Method Detail

### dependencies

    public void dependencies(Closure configureClosure)

  Configures the dependencies for the script. Executes the given closure against the DependencyHandler for this handler. The DependencyHandler is passed to the closure as the closure's delegate.
  param:
    configureClosure the closure to use to configure the dependencies.

### getClassLoader

    public java.lang.ClassLoader getClassLoader()

  Returns the `ClassLoader` which contains the classpath for this script.
  return:
    The ClassLoader. Never returns null.

### getConfigurations

    public ConfigurationContainer getConfigurations()

  Returns the configurations of this handler. This usually contains a single configuration, called {
  value:
    #CLASSPATH_CONFIGURATION}.
  return:
    The configuration of this handler.

### getDependencies

    public DependencyHandler getDependencies()

  Returns the dependencies of the script. The returned dependency handler instance can be used for adding new dependencies. For accessing already declared dependencies, the configurations can be used.
  return:
    the dependency handler. Never returns null.
  see:
    #getConfigurations()

### getRepositories

    public RepositoryHandler getRepositories()

  Returns a handler to create repositories which are used for retrieving dependencies for the script classpath.
  return:
    the repository handler. Never returns null.

### repositories

    public void repositories(Closure configureClosure)

  Configures the repositories for the script dependencies. Executes the given closure against the RepositoryHandler for this handler. The RepositoryHandler is passed to the closure as the closure's delegate.
  param:
    configureClosure the closure to use to configure the repositories.

Groovy Documentation